<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title> Schematron file for POCD_MT000040DE - CDA Dokument Entlassung Pflege 2.00 </title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <!-- Add extra namespaces --><ns uri="urn:ihe:pharm:medication" prefix="pharm"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <!-- Include realm specific schematron --><!--Include datatype abstract schematrons-->
<pattern>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_SXCM.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario cdaep -->

<!-- CDAEntlassbriefPflege -->
<include href="include/1.2.40.0.34.11.10002.sch"/>

   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->



<!-- includes -->
<!-- ELGACDAAlleDokumente -->
<include href="include/1.2.40.0.34.11.1.sch"/>
   <!-- Brieftext -->
<include href="include/1.2.40.0.34.11.1.2.1.sch"/>
   <!-- AbschliessendeBemerkung -->
<include href="include/1.2.40.0.34.11.1.2.2.sch"/>
   <!-- Beilagen -->
<include href="include/1.2.40.0.34.11.1.2.3.sch"/>
   <!-- Patientenverfuegung -->
<include href="include/1.2.40.0.34.11.1.2.4.sch"/>
   <!-- Anmerkungen -->
<include href="include/1.2.40.0.34.11.1.2.5.sch"/>
   <!-- VitalparameterEnhanced -->
<include href="include/1.2.40.0.34.11.1.2.6.sch"/>
   <!-- VitalparameterFull -->
<include href="include/1.2.40.0.34.11.1.2.7.sch"/>
   <!-- Risiken -->
<include href="include/1.2.40.0.34.11.1.2.8.sch"/>
   <!-- HilfsmittelRessourcen -->
<include href="include/1.2.40.0.34.11.1.2.9.sch"/>
   <!-- EingebettetesObjektEntry -->
<include href="include/1.2.40.0.34.11.1.3.1.sch"/>
   <!-- LogoEntry -->
<include href="include/1.2.40.0.34.11.1.3.2.sch"/>
   <!-- VitalparameterGruppeEntry -->
<include href="include/1.2.40.0.34.11.1.3.3.sch"/>
   <!-- VitalparameterEntry -->
<include href="include/1.2.40.0.34.11.1.3.4.sch"/>
   <!-- ProblemBedenkenEntry -->
<include href="include/1.2.40.0.34.11.1.3.5.sch"/>
   <!-- ProblemEntry -->
<include href="include/1.2.40.0.34.11.1.3.6.sch"/>
   <!-- EntlassungsbriefAerztlich -->
<include href="include/1.2.40.0.34.11.2.sch"/>
   <!-- Aufnahmegrund -->
<include href="include/1.2.40.0.34.11.2.2.1.sch"/>
   <!-- TermineKontrollenWiederbestellung -->
<include href="include/1.2.40.0.34.11.2.2.10.sch"/>
   <!-- Entlassungszustand -->
<include href="include/1.2.40.0.34.11.2.2.11.sch"/>
   <!-- Aufenthaltszusammenfassung -->
<include href="include/1.2.40.0.34.11.2.2.12.sch"/>
   <!-- AllergienUnvertraeglichkeitenRisiken -->
<include href="include/1.2.40.0.34.11.2.2.13.sch"/>
   <!-- Befunde -->
<include href="include/1.2.40.0.34.11.2.2.14.sch"/>
   <!-- AusstehendeBefunde -->
<include href="include/1.2.40.0.34.11.2.2.15.sch"/>
   <!-- AuszuegeBefunde -->
<include href="include/1.2.40.0.34.11.2.2.16.sch"/>
   <!-- BeigelegteBefunde -->
<include href="include/1.2.40.0.34.11.2.2.17.sch"/>
   <!-- AnamneseAerztlich -->
<include href="include/1.2.40.0.34.11.2.2.18.sch"/>
   <!-- FruehereErkrankungen -->
<include href="include/1.2.40.0.34.11.2.2.19.sch"/>
   <!-- EntlassungsdiagnoseEnhanced -->
<include href="include/1.2.40.0.34.11.2.2.2.sch"/>
   <!-- MedikationEinweisungEnhanced -->
<include href="include/1.2.40.0.34.11.2.2.20.sch"/>
   <!-- MedikationEinweisungFull -->
<include href="include/1.2.40.0.34.11.2.2.21.sch"/>
   <!-- MedikationAufenthalt -->
<include href="include/1.2.40.0.34.11.2.2.22.sch"/>
   <!-- EntlassungsdiagnoseFull -->
<include href="include/1.2.40.0.34.11.2.2.3.sch"/>
   <!-- DurchgefuehrteMassnahmen -->
<include href="include/1.2.40.0.34.11.2.2.4.sch"/>
   <!-- LetzteMedikation -->
<include href="include/1.2.40.0.34.11.2.2.5.sch"/>
   <!-- EmpfohleneMedikationEnhanced -->
<include href="include/1.2.40.0.34.11.2.2.7.sch"/>
   <!-- EmpfohleneMedikationFull -->
<include href="include/1.2.40.0.34.11.2.2.8.sch"/>
   <!-- WeitereMassnahmen -->
<include href="include/1.2.40.0.34.11.2.2.9.sch"/>
   <!-- EntlassungsdiagnoseEntry -->
<include href="include/1.2.40.0.34.11.2.3.1.sch"/>
   <!-- MedikationVerordnungEntry -->
<include href="include/1.2.40.0.34.11.2.3.2.sch"/>
   <!-- MedikationAbgabeEntry -->
<include href="include/1.2.40.0.34.11.2.3.3.sch"/>
   <!-- ArzneiEntry -->
<include href="include/1.2.40.0.34.11.2.3.4.sch"/>
   <!-- EntlassungsbriefPflege -->
<include href="include/1.2.40.0.34.11.3.sch"/>
   <!-- PflegeBetreuungsdiagnosenEnhanced -->
<include href="include/1.2.40.0.34.11.3.2.1.sch"/>
   <!-- Schmerz -->
<include href="include/1.2.40.0.34.11.3.2.10.sch"/>
   <!-- OrientierungBewusstseinslage -->
<include href="include/1.2.40.0.34.11.3.2.11.sch"/>
   <!-- SozialesVerhalten -->
<include href="include/1.2.40.0.34.11.3.2.12.sch"/>
   <!-- Kommunikation -->
<include href="include/1.2.40.0.34.11.3.2.13.sch"/>
   <!-- RollenwahrnehmungSinnfindung -->
<include href="include/1.2.40.0.34.11.3.2.14.sch"/>
   <!-- Medikamentenverabreichung -->
<include href="include/1.2.40.0.34.11.3.2.15.sch"/>
   <!-- EntlassungsmanagementEnhanced -->
<include href="include/1.2.40.0.34.11.3.2.16.sch"/>
   <!-- EntlassungsmanagementFull -->
<include href="include/1.2.40.0.34.11.3.2.17.sch"/>
   <!-- PflegeBetreuungsdiagnosenFull -->
<include href="include/1.2.40.0.34.11.3.2.2.sch"/>
   <!-- Mobilitaet -->
<include href="include/1.2.40.0.34.11.3.2.3.sch"/>
   <!-- KoerperpflegeKleiden -->
<include href="include/1.2.40.0.34.11.3.2.4.sch"/>
   <!-- Ernaehrung -->
<include href="include/1.2.40.0.34.11.3.2.5.sch"/>
   <!-- Ausscheidung -->
<include href="include/1.2.40.0.34.11.3.2.6.sch"/>
   <!-- Hautzustand -->
<include href="include/1.2.40.0.34.11.3.2.7.sch"/>
   <!-- Atmung -->
<include href="include/1.2.40.0.34.11.3.2.8.sch"/>
   <!-- Schlafen -->
<include href="include/1.2.40.0.34.11.3.2.9.sch"/>
   <!-- PflegeBetreuungsdiagnoseEntry -->
<include href="include/1.2.40.0.34.11.3.3.1.sch"/>
   <!-- EntlassungsmanagementEntry -->
<include href="include/1.2.40.0.34.11.3.3.2.sch"/>
   <!-- Laborbefund -->
<include href="include/1.2.40.0.34.11.4.sch"/>
   <!-- SpezimenSection -->
<include href="include/1.2.40.0.34.11.4.2.1.sch"/>
   <!-- LaboratoryReportCommentSection -->
<include href="include/1.2.40.0.34.11.4.2.2.sch"/>
   <!-- LaboratorySpecimenEntry -->
<include href="include/1.2.40.0.34.11.4.3.1.sch"/>
   <!-- BefundBildgebendeDiagnostik -->
<include href="include/1.2.40.0.34.11.5.sch"/>
   <!-- Anforderung -->
<include href="include/1.2.40.0.34.11.5.2.1.sch"/>
   <!-- ZusammenfassungErgebnis -->
<include href="include/1.2.40.0.34.11.5.2.10.sch"/>
   <!-- Verdachtsdiagnose -->
<include href="include/1.2.40.0.34.11.5.2.11.sch"/>
   <!-- Schlussfolgerung -->
<include href="include/1.2.40.0.34.11.5.2.12.sch"/>
   <!-- Empfehlung -->
<include href="include/1.2.40.0.34.11.5.2.13.sch"/>
   <!-- Addendum -->
<include href="include/1.2.40.0.34.11.5.2.14.sch"/>
   <!-- AnamneseBildgebendeDiagnostik -->
<include href="include/1.2.40.0.34.11.5.2.2.sch"/>
   <!-- Indikation -->
<include href="include/1.2.40.0.34.11.5.2.3.sch"/>
   <!-- PatientenStatusAngaben -->
<include href="include/1.2.40.0.34.11.5.2.4.sch"/>
   <!-- AktuelleUntersuchung -->
<include href="include/1.2.40.0.34.11.5.2.5.sch"/>
   <!-- FruehereUntersuchungen -->
<include href="include/1.2.40.0.34.11.5.2.6.sch"/>
   <!-- FruehereBefunde -->
<include href="include/1.2.40.0.34.11.5.2.7.sch"/>
   <!-- Komplikationen -->
<include href="include/1.2.40.0.34.11.5.2.8.sch"/>
   <!-- Befund -->
<include href="include/1.2.40.0.34.11.5.2.9.sch"/>
   <!-- KlassifikationBIRADS -->
<include href="include/1.2.40.0.34.11.5.3.1.sch"/>
   <!-- LaboratoryIsolateOrganizer -->
<include href="include/1.3.6.1.4.1.19376.1.3.1.5.sch"/>
   <!-- DOCS -->
<include href="include/2.16.840.1.113883.10.20.6.1.1.sch"/>
   <!-- BefundtextKodierung -->
<include href="include/2.16.840.1.113883.10.20.6.2.12.sch"/>
   <!-- StudyAct -->
<include href="include/2.16.840.1.113883.10.20.6.2.6.sch"/>
   <!-- SopInstance -->
<include href="include/2.16.840.1.113883.10.20.6.2.8.sch"/>

</schema>