<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.1.2.6
Description: Informationen zu den Vitalparametern (Körpertemperatur, Puls, Blutdruck, …). Diese Sektion wird hauptsächlich bei Verlegungen von Pflegeheimen in Krankenhäuser oder in Notfällen
                angewandt.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.1.2.6">
   <title>Vitalparameter (enhanced)</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.6
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]
Item: (VitalparameterEnhanced)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.6
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section
Item: (VitalparameterEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section"
         id="tmp-960f3aea-b3c9-46ba-b042-ce40e6c0c9fb">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.6'])&gt;=1 ">(VitalparameterEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.6'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.6'])&lt;=1">(VitalparameterEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.6'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.25'])&gt;=1 ">(VitalparameterEnhanced): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.25'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.25'])&lt;=1">(VitalparameterEnhanced): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.25'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.16'])&gt;=1 ">(VitalparameterEnhanced): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.16'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.16'])&lt;=1">(VitalparameterEnhanced): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.16'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(VitalparameterEnhanced): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="count(hl7:code)&lt;=1">(VitalparameterEnhanced): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="count(hl7:title)&gt;=1 ">(VitalparameterEnhanced): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="count(hl7:title)&lt;=1">(VitalparameterEnhanced): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="count(hl7:text)&gt;=1 ">(VitalparameterEnhanced): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="count(hl7:text)&lt;=1">(VitalparameterEnhanced): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="count(hl7:entry)=0">(VitalparameterEnhanced): Element hl7:entry DARF NICHT vorkommen.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.6
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.6']
Item: (VitalparameterEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.6']"
         id="tmp-fa8d7f8f-1afd-40c0-9739-9a3dd9008c25">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(VitalparameterEnhanced): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="@root='1.2.40.0.34.11.1.2.6'">(VitalparameterEnhanced): @root MUSS den Wert '1.2.40.0.34.11.1.2.6' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(VitalparameterEnhanced): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.6
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.25']
Item: (VitalparameterEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.25']"
         id="tmp-177327fe-e93d-402e-b293-54c24b229a62">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(VitalparameterEnhanced): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="@root='1.3.6.1.4.1.19376.1.5.3.1.3.25'">(VitalparameterEnhanced): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.3.25' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(VitalparameterEnhanced): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.6
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.10.20.1.16']
Item: (VitalparameterEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.10.20.1.16']"
         id="tmp-517e842a-972f-4862-9d6b-44eb18e8c9cc">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(VitalparameterEnhanced): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="@root='2.16.840.1.113883.10.20.1.16'">(VitalparameterEnhanced): @root MUSS den Wert '2.16.840.1.113883.10.20.1.16' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(VitalparameterEnhanced): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.6
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:code
Item: (VitalparameterAlleEIS)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:code"
         id="tmp-da185d57-c432-44e8-aaff-9e5595de6951">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(VitalparameterAlleEIS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="@nullFlavor or (@code='8716-3' and @codeSystem='2.16.840.1.113883.6.1')">(VitalparameterAlleEIS): Der Wert von @code/@codeSystem MUSS ''8716-3' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.6
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:title
Item: (VitalparameterAlleEIS)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:title"
         id="tmp-19286aef-3012-4117-bf48-f03fa3c24c8b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(VitalparameterAlleEIS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.6.html"
              test="text()='Vitalparameter'">(VitalparameterAlleEIS): Der Elementinhalt von 'hl7:title' MUSS ''Vitalparameter'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.6
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:text
Item: (VitalparameterAlleEIS)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.6
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:entry
Item: (VitalparameterEnhanced)
-->
</pattern>