<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.1.2.9
Description: Wird ausschließlich als Untersektion zu einer fachlichen Sektion angewandt. Enthält die Hilfsmittel und Ressourcen zum Thema der übergeordneten Sektion als narrative Beschreibung
                oder Auflistung.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.1.2.9">
   <title>Hilfsmittel und Ressourcen</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.9']]
Item: (HilfsmittelRessourcen)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.9']]/hl7:section
Item: (HilfsmittelRessourcen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.9']]/hl7:section"
         id="tmp-976fa545-30cd-496a-a0e0-3106f55b37ee">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.9.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.9'])&gt;=1 ">(HilfsmittelRessourcen): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.9'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.9.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.9'])&lt;=1">(HilfsmittelRessourcen): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.9'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.9.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(HilfsmittelRessourcen): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.9.html"
              test="count(hl7:code)&lt;=1">(HilfsmittelRessourcen): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.9.html"
              test="count(hl7:title)&gt;=1 ">(HilfsmittelRessourcen): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.9.html"
              test="count(hl7:title)&lt;=1">(HilfsmittelRessourcen): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.9.html"
              test="count(hl7:text)&gt;=1 ">(HilfsmittelRessourcen): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.9.html"
              test="count(hl7:text)&lt;=1">(HilfsmittelRessourcen): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.9']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.9']
Item: (HilfsmittelRessourcen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.9']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.9']"
         id="tmp-819261df-7c89-448a-9fb2-629b61daf23d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.9.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(HilfsmittelRessourcen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.9.html"
              test="@root='1.2.40.0.34.11.1.2.9'">(HilfsmittelRessourcen): @root MUSS den Wert '1.2.40.0.34.11.1.2.9' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.9.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(HilfsmittelRessourcen): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.9']]/hl7:section/hl7:code
Item: (HilfsmittelRessourcen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.9']]/hl7:section/hl7:code"
         id="tmp-7f0160dd-4942-4ac3-a504-2c41ca2ad663">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.9.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(HilfsmittelRessourcen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.9.html"
              test="@nullFlavor or (@code='RES' and @codeSystem='1.2.40.0.34.5.40' and @displayName='Hilfsmittel und Ressourcen')">(HilfsmittelRessourcen): Der Wert von @code/@codeSystem MUSS ''RES' codeSystem '1.2.40.0.34.5.40' displayName='Hilfsmittel und Ressourcen'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.9']]/hl7:section/hl7:title
Item: (HilfsmittelRessourcen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.9']]/hl7:section/hl7:title"
         id="tmp-e0a39d6a-05be-4cd3-9219-f45770958372">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.9.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(HilfsmittelRessourcen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.2.9.html"
              test="text()='Hilfsmittel und Ressourcen'">(HilfsmittelRessourcen): Der Elementinhalt von 'hl7:title' MUSS ''Hilfsmittel und Ressourcen'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.9']]/hl7:section/hl7:text
Item: (HilfsmittelRessourcen)
-->
</pattern>