<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.1.3.5
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.1.3.5">
   <title>Problem Bedenken Entry</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.5
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]
Item: (ProblemBedenkenEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]"
         id="tmp-f5c1fcd9-a08a-42c3-9f3f-345002c7ba2e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:act)&gt;=1 ">(ProblemBedenkenEntry): Element hl7:act ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:act)&lt;=1">(ProblemBedenkenEntry): Element hl7:act kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.5
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]/hl7:act
Item: (ProblemBedenkenEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]/hl7:act"
         id="tmp-e321c97c-5f04-4976-a897-9950ad6baa8f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="@classCode='ACT'">(ProblemBedenkenEntry): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="@moodCode='EVN'">(ProblemBedenkenEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              test="count(hl7:statusCode[@code='active' or @code='suspended'])=0 or count(hl7:effectiveTime/hl7:high)=0">(ProblemBedenkenEntry):  Ist das Element statusCode auf „active“ oder
                    „suspended“ gesetzt, muss das high-Element des Zeitintervalls weggelassen werden.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.5'])&gt;=1 ">(ProblemBedenkenEntry): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.5'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.5'])&lt;=1">(ProblemBedenkenEntry): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.5'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1'])&gt;=1 ">(ProblemBedenkenEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1'])&lt;=1">(ProblemBedenkenEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2'])&gt;=1 ">(ProblemBedenkenEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2'])&lt;=1">(ProblemBedenkenEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.27'])&gt;=1 ">(ProblemBedenkenEntry): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.27'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.27'])&lt;=1">(ProblemBedenkenEntry): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.27'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:id)&gt;=1 ">(ProblemBedenkenEntry): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:id)&lt;=1">(ProblemBedenkenEntry): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:code)&gt;=1 ">(ProblemBedenkenEntry): Element hl7:code ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:code)&lt;=1">(ProblemBedenkenEntry): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(ProblemBedenkenEntry): Element hl7:statusCode ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:statusCode)&lt;=1">(ProblemBedenkenEntry): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(ProblemBedenkenEntry): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:effectiveTime)&lt;=1">(ProblemBedenkenEntry): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:entryRelationship)&gt;=1 and not(hl7:entryRelationship/@nullFlavor)">(ProblemBedenkenEntry): Element hl7:entryRelationship ist mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.5
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.1.3.5']
Item: (ProblemBedenkenEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.1.3.5']"
         id="tmp-8d7ee9e1-6c88-49bb-be48-11242fd1d07c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(ProblemBedenkenEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="@root='1.2.40.0.34.11.1.3.5'">(ProblemBedenkenEntry): @root MUSS den Wert '1.2.40.0.34.11.1.3.5' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(ProblemBedenkenEntry): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.5
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]/hl7:act/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1']
Item: (ProblemBedenkenEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]/hl7:act/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1']"
         id="tmp-e8216941-9f24-46ea-9ad5-875b43a504bd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(ProblemBedenkenEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1'">(ProblemBedenkenEntry): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.4.5.1' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(ProblemBedenkenEntry): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.5
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]/hl7:act/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2']
Item: (ProblemBedenkenEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]/hl7:act/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2']"
         id="tmp-474bd7fe-280f-46dc-acbf-72caa9358718">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(ProblemBedenkenEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2'">(ProblemBedenkenEntry): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.4.5.2' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(ProblemBedenkenEntry): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.5
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.27']
Item: (ProblemBedenkenEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.27']"
         id="tmp-13e8cb54-d612-4ab2-9823-22929ff2496d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(ProblemBedenkenEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="@root='2.16.840.1.113883.10.20.1.27'">(ProblemBedenkenEntry): @root MUSS den Wert '2.16.840.1.113883.10.20.1.27' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(ProblemBedenkenEntry): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.5
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]/hl7:act/hl7:id
Item: (ProblemBedenkenEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.5
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]/hl7:act/hl7:code
Item: (ProblemBedenkenEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]/hl7:act/hl7:code"
         id="tmp-e2e8ffa1-c1c4-4a45-a3d9-ef55626cb279">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(ProblemBedenkenEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="@nullFlavor='NA'">(ProblemBedenkenEntry): Der Wert von @nullFlavor MUSS 'NA' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.5
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]/hl7:act/hl7:statusCode
Item: (ProblemBedenkenEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]/hl7:act/hl7:statusCode"
         id="tmp-2965802c-88f7-4ac0-975c-e4bcddb1246c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(ProblemBedenkenEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CS" haben</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="@nullFlavor or (@code='active') or (@code='suspended') or (@code='completed') or (@code='aborted')">(ProblemBedenkenEntry): Der Wert von @code MUSS einer der folgenden Kodes enthalten: 'active' oder 'suspended' oder 'completed' oder 'aborted'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.5
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]/hl7:act/hl7:effectiveTime
Item: (ProblemBedenkenEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]/hl7:act/hl7:effectiveTime"
         id="tmp-b51070b1-00c3-4c98-bbe6-519ac1f5dcee">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:low)&gt;=1 ">(ProblemBedenkenEntry): Element hl7:low ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:low)&lt;=1">(ProblemBedenkenEntry): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:high)&lt;=1">(ProblemBedenkenEntry): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.5
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]/hl7:act/hl7:effectiveTime/hl7:low
Item: (ProblemBedenkenEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.5
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]/hl7:act/hl7:effectiveTime/hl7:high
Item: (ProblemBedenkenEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.5
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]/hl7:act/hl7:entryRelationship
Item: (ProblemBedenkenEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]/hl7:act/hl7:entryRelationship"
         id="tmp-991b5065-6228-41da-b8e9-fef1a479dcad">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="@inversionInd='false'">(ProblemBedenkenEntry): Der Wert von @inversionInd MUSS 'false' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="@typeCode='SUBJ'">(ProblemBedenkenEntry): Der Wert von @typeCode MUSS 'SUBJ' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:observation)&gt;=1 ">(ProblemBedenkenEntry): Element hl7:observation ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:observation)&lt;=1">(ProblemBedenkenEntry): Element hl7:observation kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.5
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]/hl7:act/hl7:entryRelationship/hl7:observation
Item: (ProblemBedenkenEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]/hl7:act/hl7:entryRelationship/hl7:observation"
         id="tmp-4bc03613-5990-4875-9e74-8610da66874d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.6'])&gt;=1 ">(ProblemBedenkenEntry): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.6'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.6'])&lt;=1">(ProblemBedenkenEntry): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.6'] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.5
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]/hl7:act/hl7:entryRelationship/hl7:observation/hl7:templateId[@root='1.2.40.0.34.11.1.3.6']
Item: (ProblemBedenkenEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.1.3.5']]/hl7:act/hl7:entryRelationship/hl7:observation/hl7:templateId[@root='1.2.40.0.34.11.1.3.6']"
         id="tmp-f194de39-9177-40a8-a1de-c6ea209cf214">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(ProblemBedenkenEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="@root='1.2.40.0.34.11.1.3.6'">(ProblemBedenkenEntry): @root MUSS den Wert '1.2.40.0.34.11.1.3.6' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.1.3.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(ProblemBedenkenEntry): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>
</pattern>