<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.10
Description: Auflistung weiterer Behandlungstermine, Kontrollen und Wiederbestellungen.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.10">
   <title>Termine, Kontrollen, Wiederbestellung</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.10
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]
Item: (TermineKontrollenWiederbestellung)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.10
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section
Item: (TermineKontrollenWiederbestellung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section"
         id="tmp-448df8f3-fb40-4dd4-9d55-4fa0d032e065">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.10.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.10'])&gt;=1 ">(TermineKontrollenWiederbestellung): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.10'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.10.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.10'])&lt;=1">(TermineKontrollenWiederbestellung): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.10'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.10.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TermineKontrollenWiederbestellung): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.10.html"
              test="count(hl7:code)&lt;=1">(TermineKontrollenWiederbestellung): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.10.html"
              test="count(hl7:title)&gt;=1 ">(TermineKontrollenWiederbestellung): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.10.html"
              test="count(hl7:title)&lt;=1">(TermineKontrollenWiederbestellung): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.10.html"
              test="count(hl7:text)&gt;=1 ">(TermineKontrollenWiederbestellung): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.10.html"
              test="count(hl7:text)&lt;=1">(TermineKontrollenWiederbestellung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.10
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.10']
Item: (TermineKontrollenWiederbestellung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.10']"
         id="tmp-47833c91-6896-4071-8c2b-fb76aad8d339">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.10.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TermineKontrollenWiederbestellung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.10.html"
              test="@root='1.2.40.0.34.11.2.2.10'">(TermineKontrollenWiederbestellung): @root MUSS den Wert '1.2.40.0.34.11.2.2.10' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.10.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TermineKontrollenWiederbestellung): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.10
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section/hl7:code
Item: (TermineKontrollenWiederbestellung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section/hl7:code"
         id="tmp-9e21187b-35e1-47bb-bf98-74f1a408dbfe">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.10.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TermineKontrollenWiederbestellung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.10.html"
              test="@nullFlavor or (@code='TERMIN' and @codeSystem='1.2.40.0.34.5.40')">(TermineKontrollenWiederbestellung): Der Wert von @code/@codeSystem MUSS ''TERMIN' codeSystem '1.2.40.0.34.5.40'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.10
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section/hl7:title
Item: (TermineKontrollenWiederbestellung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section/hl7:title"
         id="tmp-d98e0123-45f7-4724-8fad-37fcada3acf5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.10.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TermineKontrollenWiederbestellung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.10.html"
              test="text()='Termine, Kontrollen, Wiederbestellung'">(TermineKontrollenWiederbestellung): Der Elementinhalt von 'hl7:title' MUSS ''Termine, Kontrollen, Wiederbestellung'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.10
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section/hl7:text
Item: (TermineKontrollenWiederbestellung)
-->
</pattern>