<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.13
Description: Beschreibung der Allergien und Medikamentenunverträglichkeiten und deren beobachteten Nebenwirkungen, sowie sonstiger Risiken
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.13">
   <title>Allergien, Unverträglichkeiten und Risiken</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]
Item: (AllergienUnvertraeglichkeitenRisiken)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section
Item: (AllergienUnvertraeglichkeitenRisiken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section"
         id="tmp-0c3d7baa-86e7-4fee-948b-a19dedbdf6d9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.13.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.13'])&gt;=1 ">(AllergienUnvertraeglichkeitenRisiken): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.13'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.13.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.13'])&lt;=1">(AllergienUnvertraeglichkeitenRisiken): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.13'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.13.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(AllergienUnvertraeglichkeitenRisiken): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.13.html"
              test="count(hl7:code)&lt;=1">(AllergienUnvertraeglichkeitenRisiken): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.13.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(AllergienUnvertraeglichkeitenRisiken): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.13.html"
              test="count(hl7:title)&lt;=1">(AllergienUnvertraeglichkeitenRisiken): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.13.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(AllergienUnvertraeglichkeitenRisiken): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.13.html"
              test="count(hl7:text)&lt;=1">(AllergienUnvertraeglichkeitenRisiken): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.13']
Item: (AllergienUnvertraeglichkeitenRisiken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.13']"
         id="tmp-d8840494-4fb6-4829-85d4-e1fea8a75b7f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.13.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(AllergienUnvertraeglichkeitenRisiken): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.13.html"
              test="@root='1.2.40.0.34.11.2.2.13'">(AllergienUnvertraeglichkeitenRisiken): @root MUSS den Wert '1.2.40.0.34.11.2.2.13' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.13.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(AllergienUnvertraeglichkeitenRisiken): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section/hl7:code
Item: (AllergienUnvertraeglichkeitenRisiken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section/hl7:code"
         id="tmp-2413199a-47d2-4eae-8729-d3287226d709">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.13.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(AllergienUnvertraeglichkeitenRisiken): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.13.html"
              test="@nullFlavor or (@code='48765-2' and @codeSystem='2.16.840.1.113883.6.1')">(AllergienUnvertraeglichkeitenRisiken): Der Wert von @code/@codeSystem MUSS ''48765-2' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section/hl7:title
Item: (AllergienUnvertraeglichkeitenRisiken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section/hl7:title"
         id="tmp-2328cc86-daa4-46fe-b82c-bf22dd56388a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.13.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(AllergienUnvertraeglichkeitenRisiken): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.13.html"
              test="text()='Allergien, Unverträglichkeiten und Risiken'">(AllergienUnvertraeglichkeitenRisiken): Der Elementinhalt von 'hl7:title' MUSS ''Allergien, Unverträglichkeiten und Risiken'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section/hl7:text
Item: (AllergienUnvertraeglichkeitenRisiken)
-->
</pattern>