<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.15
Description: Beinhaltet die Hinweise auf noch ausstehende Befunde in narrativer Form als Information für den Dokumentempfänger.In vorläufigen Entlassungsdokumenten sind oftmals noch nicht
                alle Befunde ausformuliert. Diese Sektion dient dazu, die noch ausstehenden Befunde als Information für den Dokumentempfänger bekanntzugeben. Dabei soll ein kurzer Vermerk für jeden
                ausstehenden Befund angegeben werden.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.15">
   <title>Ausstehende Befunde</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.15
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]
Item: (AusstehendeBefunde)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.15
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section
Item: (AusstehendeBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section"
         id="tmp-a325d72b-5c2f-441f-91e6-87df2e182051">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.15.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.15'])&gt;=1 ">(AusstehendeBefunde): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.15'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.15.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.15'])&lt;=1">(AusstehendeBefunde): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.15'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.15.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(AusstehendeBefunde): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.15.html"
              test="count(hl7:code)&lt;=1">(AusstehendeBefunde): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.15.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(AusstehendeBefunde): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.15.html"
              test="count(hl7:title)&lt;=1">(AusstehendeBefunde): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.15.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(AusstehendeBefunde): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.15.html"
              test="count(hl7:text)&lt;=1">(AusstehendeBefunde): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.15
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.15']
Item: (AusstehendeBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.15']"
         id="tmp-049724f6-32f6-423f-ba48-1093fe3d41e9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.15.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(AusstehendeBefunde): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.15.html"
              test="@root='1.2.40.0.34.11.2.2.15'">(AusstehendeBefunde): @root MUSS den Wert '1.2.40.0.34.11.2.2.15' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.15.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(AusstehendeBefunde): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.15
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section/hl7:code
Item: (AusstehendeBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section/hl7:code"
         id="tmp-33ac1440-fd64-49d8-a31f-35fe6c92e296">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.15.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(AusstehendeBefunde): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.15.html"
              test="@nullFlavor or (@code='BEFAUS' and @codeSystem='1.2.40.0.34.5.40')">(AusstehendeBefunde): Der Wert von @code/@codeSystem MUSS ''BEFAUS' codeSystem '1.2.40.0.34.5.40'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.15
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section/hl7:title
Item: (AusstehendeBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section/hl7:title"
         id="tmp-e339ea17-681a-4e39-ad66-91d59d411e35">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.15.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(AusstehendeBefunde): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.15.html"
              test="text()='Ausstehende Befunde'">(AusstehendeBefunde): Der Elementinhalt von 'hl7:title' MUSS ''Ausstehende Befunde'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.15
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section/hl7:text
Item: (AusstehendeBefunde)
-->
</pattern>