<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.2
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.2">
   <title>Entlassungsdiagnose (enhanced)</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]
Item: (EntlassungsdiagnoseEnhanced)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section
Item: (EntlassungsdiagnoseEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section"
         id="tmp-edc329c2-1702-452c-bdc3-592ed9000855">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.2'])&gt;=1 ">(EntlassungsdiagnoseEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.2'])&lt;=1">(EntlassungsdiagnoseEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.2.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(EntlassungsdiagnoseEnhanced): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.2.html"
              test="count(hl7:code)&lt;=1">(EntlassungsdiagnoseEnhanced): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount" value="count(hl7:title|hl7:title)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.2.html"
              test="$elmcount&gt;=1">(EntlassungsdiagnoseEnhanced): Auswahl (hl7:title oder hl7:title) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.2.html"
              test="$elmcount&lt;=1">(EntlassungsdiagnoseEnhanced): Auswahl (hl7:title oder hl7:title) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.2.html"
              test="count(hl7:text)&gt;=1 ">(EntlassungsdiagnoseEnhanced): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.2.html"
              test="count(hl7:text)&lt;=1">(EntlassungsdiagnoseEnhanced): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.2']
Item: (EntlassungsdiagnoseEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.2']"
         id="tmp-acfeb228-8912-4d16-a774-75c92fb1400a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.2.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(EntlassungsdiagnoseEnhanced): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.2.html"
              test="@root='1.2.40.0.34.11.2.2.2'">(EntlassungsdiagnoseEnhanced): @root MUSS den Wert '1.2.40.0.34.11.2.2.2' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.2.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(EntlassungsdiagnoseEnhanced): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:code
Item: (EntlassungsdiagnoseAlleEIS)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:code"
         id="tmp-ece4f5ba-a8ee-46ba-91f5-125c60b51a35">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.2.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(EntlassungsdiagnoseAlleEIS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.2.html"
              test="@nullFlavor or (@code='11535-2' and @codeSystem='2.16.840.1.113883.6.1')">(EntlassungsdiagnoseAlleEIS): Der Wert von @code/@codeSystem MUSS ''11535-2' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section
Item: (EntlassungsdiagnoseAlleEIS)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:title
Item: (EntlassungsdiagnoseAlleEIS)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:title"
         id="tmp-e785bfaf-41dc-4b9b-8a4c-0caccd52c79a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.2.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(EntlassungsdiagnoseAlleEIS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.2.html"
              test="text()='Entlassungsdiagnosen' or text()='Diagnosen bei Entlassung'">(EntlassungsdiagnoseAlleEIS): Der Elementinhalt von 'hl7:title' MUSS ''Entlassungsdiagnosen' oder 'Diagnosen bei Entlassung'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:title
Item: (EntlassungsdiagnoseAlleEIS)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:title"
         id="tmp-3093354e-5b19-40e6-a8a3-5c53e4eb69a5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.2.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(EntlassungsdiagnoseAlleEIS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.2.html"
              test="text()='Diagnosen bei Entlassung'">(EntlassungsdiagnoseAlleEIS): Der Elementinhalt von 'hl7:title' MUSS ''Diagnosen bei Entlassung'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:text
Item: (EntlassungsdiagnoseAlleEIS)
-->
</pattern>