<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.22
Description: Sämtliche verabreichte Medikation während des Aufenthalts
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.22">
   <title>Verabreichte Medikation während des Aufenthalts</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.22
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.22']]
Item: (MedikationAufenthalt)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.22
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.22']]/hl7:section
Item: (MedikationAufenthalt)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.22']]/hl7:section"
         id="tmp-738d7482-5a16-433b-83be-4606c63561f4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.22.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.22'])&gt;=1 ">(MedikationAufenthalt): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.22'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.22.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.22'])&lt;=1">(MedikationAufenthalt): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.22'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.22.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(MedikationAufenthalt): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.22.html"
              test="count(hl7:code)&lt;=1">(MedikationAufenthalt): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.22.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(MedikationAufenthalt): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.22.html"
              test="count(hl7:title)&lt;=1">(MedikationAufenthalt): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.22.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(MedikationAufenthalt): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.22.html"
              test="count(hl7:text)&lt;=1">(MedikationAufenthalt): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.22
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.22']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.22']
Item: (MedikationAufenthalt)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.22']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.22']"
         id="tmp-62c53ffb-7d4a-4240-8c65-1279827ce811">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.22.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(MedikationAufenthalt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.22.html"
              test="@root='1.2.40.0.34.11.2.2.22'">(MedikationAufenthalt): @root MUSS den Wert '1.2.40.0.34.11.2.2.22' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.22.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(MedikationAufenthalt): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.22
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.22']]/hl7:section/hl7:code
Item: (MedikationAufenthalt)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.22']]/hl7:section/hl7:code"
         id="tmp-5f713c83-1077-4f82-9ec0-18605221121e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.22.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(MedikationAufenthalt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.22.html"
              test="@nullFlavor or (@code='18610-6' and @codeSystem='2.16.840.1.113883.6.1')">(MedikationAufenthalt): Der Wert von @code/@codeSystem MUSS ''18610-6' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.22
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.22']]/hl7:section/hl7:title
Item: (MedikationAufenthalt)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.22']]/hl7:section/hl7:title"
         id="tmp-f179516e-6e68-4cf6-b8f5-b21875e7483d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.22.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(MedikationAufenthalt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.22.html"
              test="text()='Verabreichte Medikation während des Aufenthalts'">(MedikationAufenthalt): Der Elementinhalt von 'hl7:title' MUSS ''Verabreichte Medikation während des Aufenthalts'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.22
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.22']]/hl7:section/hl7:text
Item: (MedikationAufenthalt)
-->
</pattern>