<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.5
Description: Die zuletzt im Spital gegebene Medikation.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.5">
   <title>Letzte Medikation</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.5
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]
Item: (LetzteMedikation)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.5
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section
Item: (LetzteMedikation)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section"
         id="tmp-1e08d5a9-0652-4bec-ab3c-bb434864432a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.5.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.5'])&gt;=1 ">(LetzteMedikation): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.5'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.5.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.5'])&lt;=1">(LetzteMedikation): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.5'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.5.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(LetzteMedikation): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.5.html"
              test="count(hl7:code)&lt;=1">(LetzteMedikation): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.5.html"
              test="count(hl7:title)&gt;=1 ">(LetzteMedikation): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.5.html"
              test="count(hl7:title)&lt;=1">(LetzteMedikation): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.5.html"
              test="count(hl7:text)&gt;=1 ">(LetzteMedikation): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.5.html"
              test="count(hl7:text)&lt;=1">(LetzteMedikation): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.5
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.5']
Item: (LetzteMedikation)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.5']"
         id="tmp-e3b3c180-ffc6-4e1e-be68-03ef7e2eb311">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(LetzteMedikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.5.html"
              test="@root='1.2.40.0.34.11.2.2.5'">(LetzteMedikation): @root MUSS den Wert '1.2.40.0.34.11.2.2.5' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(LetzteMedikation): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.5
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section/hl7:code
Item: (LetzteMedikation)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section/hl7:code"
         id="tmp-c3a135f1-d835-436e-8ab7-cebac2133ab1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(LetzteMedikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.5.html"
              test="@nullFlavor or (@code='10160-0' and @codeSystem='2.16.840.1.113883.6.1')">(LetzteMedikation): Der Wert von @code/@codeSystem MUSS ''10160-0' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.5
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section/hl7:title
Item: (LetzteMedikation)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section/hl7:title"
         id="tmp-06cc818e-eb39-4d89-84ba-a819c1b51846">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.5.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(LetzteMedikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.5.html"
              test="text()='Letzte Medikation'">(LetzteMedikation): Der Elementinhalt von 'hl7:title' MUSS ''Letzte Medikation'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.5
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section/hl7:text
Item: (LetzteMedikation)
-->
</pattern>