<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.2.2
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.3.2.2">
   <title>Pflege- und Betreuungsdiagnosen (full)</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]
Item: (PflegeBetreuungsdiagnosenFull)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section
Item: (PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section"
         id="tmp-204fbe15-765a-4c56-860c-ebd4338c5fcb">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.2'])&gt;=1 ">(PflegeBetreuungsdiagnosenFull): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.2'])&lt;=1">(PflegeBetreuungsdiagnosenFull): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:effectiveTime[2])=0">(PflegeBetreuungsdiagnosenFull): Element hl7:effectiveTime[2] DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:doseQuantity)=0">(PflegeBetreuungsdiagnosenFull): Element hl7:doseQuantity DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']])&gt;=1 and not(hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/@nullFlavor)">(PflegeBetreuungsdiagnosenFull): Element hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:entry)&gt;=1 ">(PflegeBetreuungsdiagnosenFull): Element hl7:entry ist required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.2']
Item: (PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.2']"
         id="tmp-e16c058b-3d41-479b-b434-c3fa7b23dd31">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(PflegeBetreuungsdiagnosenFull): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@root='1.2.40.0.34.11.3.2.2'">(PflegeBetreuungsdiagnosenFull): @root MUSS den Wert '1.2.40.0.34.11.3.2.2' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(PflegeBetreuungsdiagnosenFull): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:effectiveTime[2]
Item: (Dosierung4)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:doseQuantity
Item: (Dosierung4)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]
Item: (Dosierung4)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]"
         id="tmp-d245b0b4-1d10-4fa3-b201-da249fef207b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@typeCode='COMP'">(Dosierung4): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:sequenceNumber)&gt;=1 and not(hl7:sequenceNumber/@nullFlavor)">(Dosierung4): Element hl7:sequenceNumber ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:substanceAdministration)&gt;=1 and not(hl7:substanceAdministration/@nullFlavor)">(Dosierung4): Element hl7:substanceAdministration ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:substanceAdministration)&lt;=1">(Dosierung4): Element hl7:substanceAdministration kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:sequenceNumber
Item: (Dosierung4)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:sequenceNumber"
         id="tmp-636794d6-206a-4c81-a0b0-f665e5e6f0e2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">(Dosierung4): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "INT" haben</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="$digitok">(Dosierung4): @value ist keine gültige INT Zahl <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration
Item: (Dosierung4)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration"
         id="tmp-262747a4-9e6a-4452-a409-722c446c1f25">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@classCode='SBADM'">(Dosierung4): Der Wert von @classCode MUSS 'SBADM' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@moodCode='EVN'">(Dosierung4): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'])&gt;=1 ">(Dosierung4): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'])&lt;=1">(Dosierung4): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(Dosierung4): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:effectiveTime)&lt;=1">(Dosierung4): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:doseQuantity)&gt;=1 and not(hl7:doseQuantity/@nullFlavor)">(Dosierung4): Element hl7:doseQuantity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:doseQuantity)&lt;=1">(Dosierung4): Element hl7:doseQuantity kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(Dosierung4): Element hl7:consumable ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:consumable)&lt;=1">(Dosierung4): Element hl7:consumable kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']
Item: (Dosierung4)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']"
         id="tmp-d33ae39b-b640-41c2-a707-a87fec769234">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Dosierung4): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'">(Dosierung4): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.4.7.1' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Dosierung4): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration/hl7:effectiveTime
Item: (Dosierung4)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration/hl7:effectiveTime"
         id="tmp-09007b21-6c6d-4ec9-8ea3-bd3b9c46a622">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='SXPR_TS' or not(@xsi:type)">(Dosierung4): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "SXPR_TS" haben</assert>
      <extends rule="SXPR_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@operator='A'">(Dosierung4): Der Wert von @operator MUSS 'A' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:comp[hl7:event])&gt;=1 ">(Dosierung4): Element hl7:comp[hl7:event] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:comp[hl7:event])&lt;=1">(Dosierung4): Element hl7:comp[hl7:event] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:comp[hl7:phase])&gt;=1 ">(Dosierung4): Element hl7:comp[hl7:phase] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:comp[hl7:phase])&lt;=1">(Dosierung4): Element hl7:comp[hl7:phase] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:event]
Item: (Dosierung4)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:event]"
         id="tmp-e8569fc6-8bc2-482c-9318-c165938d888e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='EIVL_TS' or not(@xsi:type)">(Dosierung4): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "EIVL_TS" haben</assert>
      <extends rule="EIVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:event)&gt;=1 and not(hl7:event/@nullFlavor)">(Dosierung4): Element hl7:event ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:event)&lt;=1">(Dosierung4): Element hl7:event kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:event]/hl7:event
Item: (Dosierung4)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:event]/hl7:event"
         id="tmp-ce9ae877-5bd2-4064-8041-666b4f78b324">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Dosierung4): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ELGA_TimingEvent-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ELGA_TimingEvent-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(Dosierung4): Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_TimingEvent DYNAMIC.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Dosierung4): Der fehlende Wert für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set ELGA_TimingEvent DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]
Item: (Dosierung4)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]"
         id="tmp-ccf8b3df-5f5f-4d1f-a376-515bab05aedb">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='PIVL_TS' or not(@xsi:type)">(Dosierung4): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "PIVL_TS" haben</assert>
      <extends rule="PIVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@operator='A'">(Dosierung4): Der Wert von @operator MUSS 'A' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:phase)&gt;=1 ">(Dosierung4): Element hl7:phase ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:phase)&lt;=1">(Dosierung4): Element hl7:phase kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:period)&gt;=1 ">(Dosierung4): Element hl7:period ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:period)&lt;=1">(Dosierung4): Element hl7:period kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:phase
Item: (Dosierung4)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:phase"
         id="tmp-78fe4be6-a5a5-4b4e-bb82-64e377350912">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(Dosierung4): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "IVL_TS" haben</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:phase/hl7:width
Item: (Dosierung4)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:phase/hl7:width"
         id="tmp-077c43c8-3283-4988-8528-7b9df6259ad7">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(Dosierung4): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "PQ" haben</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="(@nullFlavor or (@unit='d'))">(Dosierung4): value MUSS die Einheit 'd' nutzen </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="$digitok">(Dosierung4): @value ist keine gültige PQ Zahl <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Dosierung4): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:period
Item: (Dosierung4)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:period"
         id="tmp-8b139e34-7b77-475c-900a-d96105d505c6">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(Dosierung4): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "PQ" haben</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="(@nullFlavor or (@unit='d'))">(Dosierung4): value MUSS die Einheit 'd' nutzen </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="$digitok">(Dosierung4): @value ist keine gültige PQ Zahl <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Dosierung4): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration/hl7:doseQuantity
Item: (Dosierung4)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration/hl7:doseQuantity"
         id="tmp-4bc693c6-363a-4b55-88ae-eb5aa7f18ef6">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='IVL_PQ' or not(@xsi:type)">(Dosierung4): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "IVL_PQ" haben</assert>
      <extends rule="IVL_PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="not(hl7:low/@value) or matches(hl7:low/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(Dosierung4): value/low @value ist keine gültige PQ Zahl<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="not(hl7:high/@value) or matches(hl7:high/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(Dosierung4): value/high @value ist keine gültige PQ Zahl<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="not(hl7:center/@value) or matches(hl7:center/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(Dosierung4): value/center @value ist keine gültige PQ Zahl<value-of select="hl7:center/@value"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration/hl7:consumable
Item: (Dosierung4)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration/hl7:consumable"
         id="tmp-38dd78f8-6ee9-4b82-bfcf-ac40227dfdf9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(Dosierung4): Element hl7:manufacturedProduct ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(Dosierung4): Element hl7:manufacturedProduct kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct
Item: (Dosierung4)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct"
         id="tmp-dd49ab18-86ee-403c-9ac9-708a7728098c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:manufacturedMaterial)&gt;=1 and not(hl7:manufacturedMaterial/@nullFlavor)">(Dosierung4): Element hl7:manufacturedMaterial ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(Dosierung4): Element hl7:manufacturedMaterial kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (Dosierung4)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="tmp-e080384c-610e-4a11-ad69-f59582be9ec7">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor='NA'">(Dosierung4): Der Wert von @nullFlavor MUSS 'NA' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry
Item: (PflegeBetreuungsdiagnosenFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry"
         id="tmp-0facfa61-4e9e-4876-b79f-e0a509ca8018">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@typeCode='DRIV' or not(@typeCode)">(PflegeBetreuungsdiagnosenFull): Der Wert von @typeCode MUSS 'DRIV' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry
Item: (PflegeBetreuungsdiagnoseEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act
Item: (PflegeBetreuungsdiagnoseEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act"
         id="tmp-fc72c685-9798-429a-ab61-9646d340af5a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@classCode='ACT'">(PflegeBetreuungsdiagnoseEntry): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@moodCode='EVN'">(PflegeBetreuungsdiagnoseEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.3.1'])&gt;=1 ">(PflegeBetreuungsdiagnoseEntry): Element hl7:templateId[@root='1.2.40.0.34.11.3.3.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.3.1'])&lt;=1">(PflegeBetreuungsdiagnoseEntry): Element hl7:templateId[@root='1.2.40.0.34.11.3.3.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.5'])&gt;=1 ">(PflegeBetreuungsdiagnoseEntry): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.5'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.5'])&lt;=1">(PflegeBetreuungsdiagnoseEntry): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.5'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(PflegeBetreuungsdiagnoseEntry): Element hl7:statusCode ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:statusCode)&lt;=1">(PflegeBetreuungsdiagnoseEntry): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:entryRelationship)&gt;=1 and not(hl7:entryRelationship/@nullFlavor)">(PflegeBetreuungsdiagnoseEntry): Element hl7:entryRelationship ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:entryRelationship)&lt;=1">(PflegeBetreuungsdiagnoseEntry): Element hl7:entryRelationship kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.3.3.1']
Item: (PflegeBetreuungsdiagnoseEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.3.3.1']"
         id="tmp-aa85ce9c-e3de-4ecb-8f8e-24d561179bdd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(PflegeBetreuungsdiagnoseEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@root='1.2.40.0.34.11.3.3.1'">(PflegeBetreuungsdiagnoseEntry): @root MUSS den Wert '1.2.40.0.34.11.3.3.1' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(PflegeBetreuungsdiagnoseEntry): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.1.3.5']
Item: (PflegeBetreuungsdiagnoseEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.1.3.5']"
         id="tmp-a020ea5e-cd09-4124-8969-0d40d5df6c1a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(PflegeBetreuungsdiagnoseEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@root='1.2.40.0.34.11.1.3.5'">(PflegeBetreuungsdiagnoseEntry): @root MUSS den Wert '1.2.40.0.34.11.1.3.5' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(PflegeBetreuungsdiagnoseEntry): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:statusCode
Item: (PflegeBetreuungsdiagnoseEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:statusCode"
         id="tmp-c87ebb08-4bb0-47bb-a357-a0bee1d78bfa">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(PflegeBetreuungsdiagnoseEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CS" haben</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or (@code='active')">(PflegeBetreuungsdiagnoseEntry): Der Wert von @code MUSS ''active'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship
Item: (PflegeBetreuungsdiagnoseEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship"
         id="tmp-d408c8ca-1ba0-442e-b572-e87854a5b9cb">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(PflegeBetreuungsdiagnoseEntry): Element hl7:observation ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:observation)&lt;=1">(PflegeBetreuungsdiagnoseEntry): Element hl7:observation kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation
Item: (PflegeBetreuungsdiagnoseEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation"
         id="tmp-220f1f13-f4cb-4382-a204-2a54cd9a31a4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.6'])&gt;=1 ">(PflegeBetreuungsdiagnoseEntry): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.6'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.6'])&lt;=1">(PflegeBetreuungsdiagnoseEntry): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.6'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(PflegeBetreuungsdiagnoseEntry): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:code)&lt;=1">(PflegeBetreuungsdiagnoseEntry): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(PflegeBetreuungsdiagnoseEntry): Element hl7:value ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="count(hl7:value)&lt;=1">(PflegeBetreuungsdiagnoseEntry): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:templateId[@root='1.2.40.0.34.11.1.3.6']
Item: (PflegeBetreuungsdiagnoseEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:templateId[@root='1.2.40.0.34.11.1.3.6']"
         id="tmp-ab9d0a13-686c-42cb-9ac0-4f0554fee7b2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(PflegeBetreuungsdiagnoseEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@root='1.2.40.0.34.11.1.3.6'">(PflegeBetreuungsdiagnoseEntry): @root MUSS den Wert '1.2.40.0.34.11.1.3.6' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(PflegeBetreuungsdiagnoseEntry): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:code
Item: (PflegeBetreuungsdiagnoseEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:code"
         id="tmp-46fe987f-6373-463f-9557-149941ea9ec8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(PflegeBetreuungsdiagnoseEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or (@code='282291009' and @displayName='Diagnosis')">(PflegeBetreuungsdiagnoseEntry): Der Wert von @code MUSS ''282291009' displayName='Diagnosis'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:value
Item: (PflegeBetreuungsdiagnoseEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:value"
         id="tmp-82958713-ec50-46e4-96fd-bd8be9361597">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.2.2.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(PflegeBetreuungsdiagnoseEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CD" haben</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>