<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.30001
Description: CDA Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.30001">
   <title>BodySection</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section
Item: (BodySection)
-->

<rule context="//section" id="tmp-63c0eb9d-3871-4466-8071-4b638495ce87">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:id)&lt;=1">(BodySection): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:code)&lt;=1">(BodySection): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:title)&gt;=1 ">(BodySection): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:title)&lt;=1">(BodySection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:text)&gt;=1 ">(BodySection): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:text)&lt;=1">(BodySection): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:templateId
Item: (BodySection)
-->

<rule context="//section/hl7:templateId"
         id="tmp-08e525b8-4bd4-437f-a868-a76ae8451ed0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(BodySection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:id
Item: (BodySection)
-->

<rule context="//section/hl7:id" id="tmp-9d010e4d-4d25-4054-af04-76bf075fa8b3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(BodySection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:code
Item: (BodySection)
-->

<rule context="//section/hl7:code" id="tmp-78caec55-fd36-44bc-8737-d90e6df30957">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(BodySection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:title
Item: (BodySection)
-->

<rule context="//section/hl7:title" id="tmp-c7d9a1bf-66a3-43f6-8661-11cb7c32a4c8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(BodySection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:text
Item: (BodySection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author
Item: (AuthorElements)
-->

<rule context="//section/hl7:author" id="tmp-03c566c0-6a42-4e74-bb2f-41b0ceeff575">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@typeCode='AUT' or not(@typeCode)">(AuthorElements): Der Wert von @typeCode MUSS 'AUT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@contextControlCode='OP' or not(@contextControlCode)">(AuthorElements): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:functionCode)&lt;=1">(AuthorElements): Element hl7:functionCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:time)&gt;=1 ">(AuthorElements): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:time)&lt;=1">(AuthorElements): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:assignedAuthor)&gt;=1 ">(AuthorElements): Element hl7:assignedAuthor ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:assignedAuthor)&lt;=1">(AuthorElements): Element hl7:assignedAuthor kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:functionCode
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:functionCode"
         id="tmp-39a39f7b-f228-44d2-8141-c6a99246eb3b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:time
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:time"
         id="tmp-44e66018-04b9-40a1-861a-b00c78bbbe73">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "TS.DATE.MIN" haben</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor"
         id="tmp-0cbf47d1-dc5c-41b7-81ce-564e308d8756">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(AuthorElements): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:id)&gt;=1 ">(AuthorElements): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:code)&lt;=1">(AuthorElements): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount" value="count(hl7:assignedPerson|hl7:assignedAuthoringDevice)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="$elmcount&gt;=1">(AuthorElements): Auswahl (hl7:assignedPerson oder hl7:assignedAuthoringDevice) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="$elmcount&lt;=1">(AuthorElements): Auswahl (hl7:assignedPerson oder hl7:assignedAuthoringDevice) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(AuthorElements): Element hl7:assignedPerson ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:assignedPerson)&lt;=1">(AuthorElements): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:assignedAuthoringDevice)&gt;=1 and not(hl7:assignedAuthoringDevice/@nullFlavor)">(AuthorElements): Element hl7:assignedAuthoringDevice ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:assignedAuthoringDevice)&lt;=1">(AuthorElements): Element hl7:assignedAuthoringDevice kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:representedOrganization)&gt;=1 and not(hl7:representedOrganization/@nullFlavor)">(AuthorElements): Element hl7:representedOrganization ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:representedOrganization)&lt;=1">(AuthorElements): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:id
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:id"
         id="tmp-282312ad-19e0-4acb-8142-2b66ed063867">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:code
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:code"
         id="tmp-af322b87-36d6-4148-a585-9e416a075443">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ELGA_AuthorSpeciality-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ELGA_AuthorSpeciality-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(AuthorElements): Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_AuthorSpeciality DYNAMIC.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(AuthorElements): Der fehlende Wert für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set ELGA_AuthorSpeciality DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:telecom"
         id="tmp-25c25a11-313e-4eb5-b7e6-eb3f54c081b3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "TEL" haben</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor"
         id="tmp-0548039a-9b85-49e8-93b6-b22a505126e2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(AuthorElements): Element hl7:assignedPerson ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:assignedPerson)&lt;=1">(AuthorElements): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:assignedAuthoringDevice)&gt;=1 and not(hl7:assignedAuthoringDevice/@nullFlavor)">(AuthorElements): Element hl7:assignedAuthoringDevice ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:assignedAuthoringDevice)&lt;=1">(AuthorElements): Element hl7:assignedAuthoringDevice kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-56c7408b-ab13-4a3f-ad4c-d3b9e915344c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@classCode='PSN' or not(@classCode)">(AuthorElements): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(AuthorElements): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(AuthorElements): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:name)&lt;=1">(AuthorElements): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (PersonElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-56015879-45c8-4d73-8217-5cff7e58e2da">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "PN" haben</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice"
         id="tmp-5d35a022-cc52-4329-95b1-2018b21c018d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@classCode='DEV' or not(@classCode)">(AuthorElements): Der Wert von @classCode MUSS 'DEV' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(AuthorElements): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:manufacturerModelName)&gt;=1 ">(AuthorElements): Element hl7:manufacturerModelName ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:manufacturerModelName)&lt;=1">(AuthorElements): Element hl7:manufacturerModelName kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:softwareName)&gt;=1 ">(AuthorElements): Element hl7:softwareName ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:softwareName)&lt;=1">(AuthorElements): Element hl7:softwareName kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName"
         id="tmp-39f5ae64-3d21-45d6-9726-ca9a145fa1f6">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='SC' or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "SC" haben</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName"
         id="tmp-f3cf02f4-af5a-4720-b191-8a4ffc6a1b7d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='SC' or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "SC" haben</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-6701ef31-b7c5-43b1-8554-6f9e7b043223">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@classCode='ORG' or not(@classCode)">(AuthorElements): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(AuthorElements): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(AuthorElements): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:name)&lt;=1">(AuthorElements): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="count(hl7:addr)&lt;=1">(AuthorElements): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="tmp-25ccbd7a-3080-49c2-aa22-60f3e00e60ea">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (OrganizationElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-be891e8b-636e-4795-b437-026f1edb8dbd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ON" haben</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="tmp-3da93f47-86f7-4f37-824c-3d39b8522f43">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "TEL" haben</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="tmp-a72dafd3-a1bd-434f-a0ce-93e16bcee2a8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.30001.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "AD" haben</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:entry
Item: (BodySection)
-->
</pattern>