<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.4.3.1
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.4.3.1">
   <title>Laboratory Specimen Entry</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]
Item: (LaboratorySpecimenEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry
Item: (LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry"
         id="tmp-1cbc9159-487f-424c-8e3b-57d76c86a653">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.3.1'])&gt;=1 ">(LaboratorySpecimenEntry): Element hl7:templateId[@root='1.2.40.0.34.11.4.3.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.3.1'])&lt;=1">(LaboratorySpecimenEntry): Element hl7:templateId[@root='1.2.40.0.34.11.4.3.1'] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:templateId[@root='1.2.40.0.34.11.4.3.1']
Item: (LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:templateId[@root='1.2.40.0.34.11.4.3.1']"
         id="tmp-b4429b00-ef55-426b-8301-435916ac836e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(LaboratorySpecimenEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@root='1.2.40.0.34.11.4.3.1'">(LaboratorySpecimenEntry): @root MUSS den Wert '1.2.40.0.34.11.4.3.1' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(LaboratorySpecimenEntry): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act
Item: (LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act"
         id="tmp-d8307000-861a-4c47-b77b-db2d731eeda6">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@classCode='ACT'">(LaboratorySpecimenEntry): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@moodCode='EVN'">(LaboratorySpecimenEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(LaboratorySpecimenEntry): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:code)&lt;=1">(LaboratorySpecimenEntry): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]])&gt;=1 and not(hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/@nullFlavor)">(LaboratorySpecimenEntry): Element hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(LaboratorySpecimenEntry): Element hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:code
Item: (LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:code"
         id="tmp-867a5790-1ec6-4f22-9a61-b65c48b24bb7">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(LaboratorySpecimenEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CD" haben</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or (@code='10' and @codeSystem='1.2.40.0.34.5.47' and @displayName='Probeninformation' and @codeSystemName='ELGA_Laborstruktur')">(LaboratorySpecimenEntry): Der Wert von @code/@codeSystem MUSS ''10' codeSystem '1.2.40.0.34.5.47' displayName='Probeninformation' codeSystemName='ELGA_Laborstruktur'' sein.</assert>
   </rule>


   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (LaboratorySpecimenEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act
Item: (SpecimenCollection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (SpecimenCollection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure"
         id="tmp-45b35074-c7f8-487c-b54b-00c5b9913e19">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@classCode='PROC'">(SpecimenCollection): Der Wert von @classCode MUSS 'PROC' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@moodCode='EVN'">(SpecimenCollection): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'])&gt;=1 ">(SpecimenCollection): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'])&lt;=1">(SpecimenCollection): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(SpecimenCollection): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:code)&lt;=1">(SpecimenCollection): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(SpecimenCollection): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:effectiveTime)&lt;=1">(SpecimenCollection): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:targetSiteCode)&lt;=1">(SpecimenCollection): Element hl7:targetSiteCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:perfomer)&lt;=1">(SpecimenCollection): Element hl7:perfomer kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">(SpecimenCollection): Element hl7:participant ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:participant)&lt;=1">(SpecimenCollection): Element hl7:participant kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']"
         id="tmp-a83a7885-a9a9-4885-9025-7797a5a61ab0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@root='1.3.6.1.4.1.19376.1.3.1.2'">(SpecimenCollection): @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.1.2' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(SpecimenCollection): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:code
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:code"
         id="tmp-a7ef0b0e-f3f9-4ddd-81f0-84bee4371b33">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CD" haben</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or (@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Specimen Collection' and @codeSystemName='LOINC')">(SpecimenCollection): Der Wert von @code/@codeSystem MUSS ''33882-2' codeSystem '2.16.840.1.113883.6.1' displayName='Specimen Collection' codeSystemName='LOINC'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:effectiveTime
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:effectiveTime"
         id="tmp-bb978d64-aa89-4fcb-9006-dd3aff8fd1a4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "IVL_TS" haben</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(SpecimenCollection): Element hl7:low ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:low)&lt;=1">(SpecimenCollection): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(SpecimenCollection): Element hl7:high ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:high)&lt;=1">(SpecimenCollection): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:effectiveTime/hl7:low
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:effectiveTime/hl7:low"
         id="tmp-7cdc31fc-11d1-46a1-87ab-02597ba4672d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "TS.DATE.MIN" haben</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:effectiveTime/hl7:high
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:effectiveTime/hl7:high"
         id="tmp-d6d4cc4a-321d-40d0-b5c9-c54b0fadbe6e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "TS.DATE.MIN" haben</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:targetSiteCode
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:targetSiteCode"
         id="tmp-04029b61-c532-4ee5-8c19-c80529e94a1e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CD" haben</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1052' and @codeSystemName='ActSite')">(SpecimenCollection): Der Wert von @codeSystem MUSS ''2.16.840.1.113883.5.1052' codeSystemName='ActSite'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer"
         id="tmp-f105b8ea-4426-4a1a-a6db-161a4b71be3a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@typeCode='PRF'">(SpecimenCollection): Der Wert von @typeCode MUSS 'PRF' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(SpecimenCollection): Element hl7:assignedEntity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:assignedEntity)&lt;=1">(SpecimenCollection): Element hl7:assignedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity"
         id="tmp-48e7ae54-fe23-4502-bff3-a3de4c13f534">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:id)&gt;=1 ">(SpecimenCollection): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:addr)&lt;=1">(SpecimenCollection): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(SpecimenCollection): Element hl7:assignedPerson ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:assignedPerson)&lt;=1">(SpecimenCollection): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:representedOrganization)&lt;=1">(SpecimenCollection): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:id
Item: (AssignedEntityElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:id"
         id="tmp-c2f53513-0644-47cc-be3c-6a25ab8ad48f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:addr
Item: (AssignedEntityElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:addr"
         id="tmp-7176f24d-7816-45c0-9883-ce5256e571b4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "AD" haben</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:telecom
Item: (AssignedEntityElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:telecom"
         id="tmp-902c48c9-9c96-434c-8ea9-e15ddea6df14">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "TEL" haben</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson
Item: (AssignedEntityElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-434326ae-56bb-46ab-9d77-e6a8cd7b9aa3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@classCode='PSN' or not(@classCode)">(AssignedEntityElements): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(AssignedEntityElements): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(AssignedEntityElements): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:name)&lt;=1">(AssignedEntityElements): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (PersonElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-e6ec93a0-79d5-4ce0-9bb3-8844ce2aae6e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "PN" haben</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization
Item: (AssignedEntityElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-4b743fb9-2585-4e4e-8cca-448b0c817194">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@classCode='ORG' or not(@classCode)">(AssignedEntityElements): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(AssignedEntityElements): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(AssignedEntityElements): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:name)&lt;=1">(AssignedEntityElements): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:addr)&lt;=1">(AssignedEntityElements): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:id"
         id="tmp-cd70b31d-70ff-470b-a580-d6cdd7def424">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (OrganizationElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-2fe69455-62fa-48db-823f-0e5b124354c3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ON" haben</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="tmp-87e94a7d-86b7-4900-8af5-04416b4aae2e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "TEL" haben</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-c1d37fd1-a70d-4104-b971-4e2e381ba9fe">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "AD" haben</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant"
         id="tmp-9f8eabc7-f314-4511-96a1-b62181e827e4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@typeCode='PRD'">(SpecimenCollection): Der Wert von @typeCode MUSS 'PRD' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:participantRole)&gt;=1 and not(hl7:participantRole/@nullFlavor)">(SpecimenCollection): Element hl7:participantRole ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:participantRole)&lt;=1">(SpecimenCollection): Element hl7:participantRole kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole"
         id="tmp-f8f926ce-1d88-474f-81e1-dd2cc735846c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@classCode='SPEC'">(SpecimenCollection): Der Wert von @classCode MUSS 'SPEC' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(SpecimenCollection): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:id)&lt;=1">(SpecimenCollection): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:playingEntity)&gt;=1 and not(hl7:playingEntity/@nullFlavor)">(SpecimenCollection): Element hl7:playingEntity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:playingEntity)&lt;=1">(SpecimenCollection): Element hl7:playingEntity kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:id
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:id"
         id="tmp-cc5ecf5d-f194-4a3e-9e24-3881c9fa75b5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:playingEntity
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:playingEntity"
         id="tmp-9af149bd-787b-4ae7-91b6-9c4dc55eab4c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(SpecimenCollection): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:code)&lt;=1">(SpecimenCollection): Element hl7:code kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:playingEntity/hl7:code
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:playingEntity/hl7:code"
         id="tmp-28a018f1-3e0f-4d81-8cb4-d842e14d4fe8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>