<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.6.1.1
Description: DICOM Object Catalog section. Muss angeführt werden wenn das Dokument Referenzen auf DICOM Bilder aufweist. Des Weiteren muss diese Sektion die erste Sektion des Dokuments
                sein.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.6.1.1">
   <title>DICOM Object Catalog Sektion Allgemein</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.6.1.1']]
Item: (DOCS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.6.1.1']]/hl7:section
Item: (DOCS)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.6.1.1']]/hl7:section"
         id="tmp-948e3353-7b99-4543-8a84-6587263cfc2e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.1.1.html"
              test="@classCode='DOCSECT' or not(@classCode)">(DOCS): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.1.1.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1'])&gt;=1 ">(DOCS): Element hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.1.1.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1'])&lt;=1">(DOCS): Element hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.1.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(DOCS): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.1.1.html"
              test="count(hl7:code)&lt;=1">(DOCS): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.1.1.html"
              test="count(hl7:title)=0">(DOCS): Element hl7:title DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.1.1.html"
              test="count(hl7:text)=0">(DOCS): Element hl7:text DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.1.1.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]]/@nullFlavor)">(DOCS): Element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.1.1.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]])&lt;=1">(DOCS): Element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.6.1.1']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']
Item: (DOCS)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.6.1.1']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']"
         id="tmp-2452f3f7-e52f-46ec-9096-d8dc4d73176f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.1.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(DOCS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.1.1.html"
              test="@root='2.16.840.1.113883.10.20.6.1.1'">(DOCS): @root MUSS den Wert '2.16.840.1.113883.10.20.6.1.1' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.1.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(DOCS): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.6.1.1']]/hl7:section/hl7:code
Item: (DOCS)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.6.1.1']]/hl7:section/hl7:code"
         id="tmp-0e199113-0ff4-4323-8366-3d440f077c0a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.1.1.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(DOCS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.1.1.html"
              test="@nullFlavor or (@code='121181' and @codeSystem='1.2.840.10008.2.16.4' and @displayName='DICOM Object Catalog' and @codeSystemName='DCM')">(DOCS): Der Wert von @code/@codeSystem MUSS ''121181' codeSystem '1.2.840.10008.2.16.4' displayName='DICOM Object Catalog' codeSystemName='DCM'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.6.1.1']]/hl7:section/hl7:title
Item: (DOCS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.6.1.1']]/hl7:section/hl7:text
Item: (DOCS)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.6.1.1']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]]
Item: (DOCS)
--></pattern>