<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.6.2.8
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.6.2.8">
   <title>SopInstance (DICOM Service Object Pair)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]
Item: (SopInstance)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation
Item: (SopInstance)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation"
         id="tmp-44ed492f-6ca6-4dc2-933b-010c72f7fbf8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="@classCode='DGIMG'">(SopInstance): Der Wert von @classCode MUSS 'DGIMG' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="@moodCode='EVN'">(SopInstance): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8'])&gt;=1 ">(SopInstance): Element hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8'])&lt;=1">(SopInstance): Element hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="count(hl7:id)&gt;=1 ">(SopInstance): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="count(hl7:id)&lt;=1">(SopInstance): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(SopInstance): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="count(hl7:code)&lt;=1">(SopInstance): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="count(hl7:text)&lt;=1">(SopInstance): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="count(hl7:effectiveTime)&lt;=1">(SopInstance): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']
Item: (SopInstance)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']"
         id="tmp-751fd58a-34b7-4d70-8120-8876a733aa84">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(SopInstance): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="@root='2.16.840.1.113883.10.20.6.2.8'">(SopInstance): @root MUSS den Wert '2.16.840.1.113883.10.20.6.2.8' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(SopInstance): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation/hl7:id
Item: (SopInstance)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation/hl7:id"
         id="tmp-740e65f0-5a8a-4094-a450-e5ec9f49c1e3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(SopInstance): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="string-length(@root)&gt;0">(SopInstance): Attribut @root MUSS vorkommen.</assert>
      <let name="theAttValue" value="@root"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation/hl7:code
Item: (SopInstance)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation/hl7:code"
         id="tmp-95768a7b-0908-4971-b482-fc92f5e5c4d4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(SopInstance): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CD" haben</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="@nullFlavor or (@codeSystem='1.2.840.10008.2.6.1' and @codeSystemName='DCMUID')">(SopInstance): Der Wert von @codeSystem MUSS ''1.2.840.10008.2.6.1' codeSystemName='DCMUID'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation/hl7:text
Item: (SopInstance)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation/hl7:text"
         id="tmp-1dec3507-ccf5-49b9-9135-c46ef43539d5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(SopInstance): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ED" haben</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="@mediaType='application/dicom'">(SopInstance): Der Wert von @mediaType MUSS 'application/dicom' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="count(reference)&gt;=1 and not(reference/@nullFlavor)">(SopInstance): Element reference ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="count(reference)&lt;=1">(SopInstance): Element reference kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation/hl7:text/reference
Item: (SopInstance)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation/hl7:effectiveTime
Item: (SopInstance)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation/hl7:effectiveTime"
         id="tmp-feaee4cf-0415-4376-ae35-8017711f89e5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-2.16.840.1.113883.10.20.6.2.8.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(SopInstance): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "TS" haben</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>